<div class="">
    <div class="content-wrapper">
        <div class="card">

            <div class="card-body">

                <div class="row" *ngIf="mysingleOrder">
                    <div class="col-md-9 p-0-mx767">
                        <div class="left border">
                            <h4>Détails commande nº {{mysingleOrder.order_id}} </h4>
                            <!-- <p>Paiement par paiement en ligne. payé le {{mysingleOrder.createdAt
                                }} Adresse IP du client : 145.25.36.36</p> -->
                            <h5>Général</h5>
                            <div class="mb-2">
                                <label class="form-label">Date de création:</label>
                                <p> Payé le {{mysingleOrder.createdAt |date:'MMMM d, y'}}  </p>
                            </div>
                            <div class="mb-2">
                                <label for="" class="form-label">Statut:</label>
                                <p>En cours de traitement  {{mysingleOrder.status}}</p>
                            </div>
                            <div class="mb-2">
                                <label for="">Client</label>
                               
                            </div>
                            <div class="row mt-3">
                                <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                                    <div class="pencil-sec">
                                        
                                        <div>
                                            <div class="mb-3">
                                                <p class="mb-0 s-p">Courriel</p>
                                                <a mailto:href=""> {{mysingleOrder.user[0].email}}</a>
                                            </div>
                                            <div>
                                                <p class="mb-0 s-p">Téléphone</p>
                                                <a>{{mysingleOrder.user[0].country_code}} {{mysingleOrder.user[0].phone}}</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-6 col-md-6 col-sm-6 col-12">


                                    <div class="pencil-sec">

                                      

                                        <div class="en-b">
                                            <div>
                                                <h6>Numéro de suivi</h6>
                                                <h6>{{mysingleOrder.tracking_number}}</h6>
                                            </div>
                                            <div>
                                                <h6>État de la livraison</h6>
                                                <h6> {{mysingleOrder.delivery_status}} </h6>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div *ngIf="order_products">
                                <div class="table-responsive">
                                    <table class="table" id="customers">
                                        <thead style="background: #f1f1f1;">
                                            <tr>
                                                <th style="width: 70%;">Article</th>
                                                <th class="text-right">Coût</th>
                                                <th class="text-right">Qté</th>
                                                <th class="text-right">Total</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr *ngFor="let item of order_products">
                                                <td>
                                                    <img src="{{baseurl}}static/public/{{item.product.product.images[0]}}"
                                                        alt="5"> {{item.product.product.title}}
                                                </td>
                                                <td class="text-right">{{item.product.varientPrice}} CFA</td>
                                                <td class="text-right">*{{item.product.quantity}}</td>
                                                <td class="text-right">{{item.product.varientPrice * item.product.quantity}} CFA</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                
                                <div class="ship">
                                    <div class="ship-c">
                                        <div>
                                            <p class="mb-0">Articles </p>
                                        </div>:
                                        <div>
                                            <p class="mb-0 clr-0">{{mysingleOrder.payment_amount}} CFA</p>
                                        </div>
                                    </div>
                                    <div class="ship-c">
                                        <div>
                                            <p class="mb-0">Livraison </p>
                                        </div>:
                                        <div>
                                            <p class="mb-0 clr-0">{{mysingleOrder.totalshipping}} CFA</p>
                                        </div>
                                    </div>
                                    <div class="ship-c">
                                        <div>
                                            <p class="mb-0">TVA </p>
                                        </div>:
                                        <div>
                                            <p class="mb-0 clr-0">{{mysingleOrder.totaltax}} CFA</p>
                                        </div>
                                    </div>
                                   
                                    <div class="ship-c">
                                        <div>
                                            <p class="mb-0">Commande totale</p>
                                        </div>:
                                        <div>
                                            <p class="mb-0 clr-0">{{mysingleOrder.totalPrice}} CFA</p>
                                        </div>
                                    </div>
                                    <div class="ship-c">
                                        <div>
                                            <p class="mb-0 clr-0">Payé</p>
                                        </div>:
                                        <div>
                                            <p class="mb-0 clr-0">{{mysingleOrder.totalPrice}} CFA</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 p-0-mx767" >
                        <div class="right border">
                            <!-- <div class="text-right">
                                <button class="btn btn-fill">Mettre à jour</button>
                            </div> -->
                            <div class="header">Notes de commande</div>

                            <div class="item" >
                                <div *ngIf="mysingleOrder.sellerNotes">
                                    <div *ngFor="let note of mysingleOrder.sellerNotes">
                                        <div>
                                            <div class="caret">
                                                <p>{{note.message}}</p>
                                            </div>
                                        </div>
                                        <p class="mt-3"><span class="com-date">{{note.c_date |date:'MMM d, y, h:mm a'}}</span> </p>
                                    </div>
                                </div>
                                
                                
                                <form [formGroup]="noteform" (submit)="send()">
                                    <div class="mb-2">
                                        <label for="" class="form-label">Ajouter une note</label>
                                        <textarea name="" id="" rows="5" class="form-control" formControlName="message"></textarea>
                                    </div>
                                    <div class="errormsg" *ngIf="noteform.get('message')?.touched && noteform.get('message')?.hasError('required')">
                                        <br>
                                        <h4> <b>L'message est requis</b></h4>
                                    </div>
                                    <div>
                                        <button type="submit" class="btn btn-fill" >Ajouter</button>
                                    </div>
                                    <div class="comeBack_up" *ngIf="addNoteRes">
                                        <div *ngIf="addNoteRes.status == false; else loggedOut">
                                            <br>
                                            <div class="alert alert-danger"><strong>{{ addNoteRes.errmessage }}</strong></div>
                                        </div>
                                        <ng-template #loggedOut>
                                            <br>
                                            <div class="alert alert-success"><strong>{{ addNoteRes.errorMessage }}</strong></div>
                                        </ng-template>
                                    </div>
                                </form>
                                
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
            </div>
        </div>
    </div>
    <!-- content-wrapper ends -->

</div>